{% extends 'SearchBundle:Default:search.html.twig' %}
{# {% extends 'panel.html.twig' %} #}

{% block body %}        
	        	
	<div class="container-fluid">
		<nav class="navbar nav-justified">
		<div class="container-fluid">
		  		<ul class="pagination">
				    <li>
				      <a href="#" aria-label="Previous">
				        <span aria-hidden="true">&laquo;</span>
				      </a>
				    </li>
				    <li><a href="#">1</a></li>
				    <li><a href="#">2</a></li>
				    <li><a href="#">3</a></li>
				    <li><a href="#">4</a></li>
				    <li><a href="#">5</a></li>
				    <li>
				      <a href="#" aria-label="Next">
				        <span aria-hidden="true">&raquo;</span>
				      </a>
				    </li>
		  		</ul>{# pagination #}
			<div class="btn-group btn-group-sm" role="group" aria-label="...">
				<button type="button" class="btn btn-default">10</button>
			  	<button type="button" class="btn btn-default">20</button>
			  	<button type="button" class="btn btn-default">50</button>
			  	<button type="button" class="btn btn-default">100</button>
			</div>
		</div>
	</nav>
		
		{% if noOfResults > 0 %}
		<h3>
			Found <strong>{{ noOfResults }}</strong> related matches for <strong>{{ whatofind }}</strong>
		</h3>	
			{% for key,result in hits%}							
				<a href="#"><h3>Match {{key + 1}}</h3></a>
				{% if result._index == 'worlds' %}
					<h4>Type: World</h4>												
				{% endif %}
				{% if result._index == 'articles' %}
					<h4>Type: Article</h4>												
				{% endif %}		
				{% if result._index == 'campaigns' %}
					<h4>Type: Campaign</h4>												
				{% endif %}	
				{% if result._index == 'users' %}
					<h4>Type: User</h4>												
				{% endif %}	
				
				{% for key, value in result._source %}
					<ul class="list-group list-unstyled">
						{% if key == 'name' and value %}
							<li class="list-group-item"><strong>{{ key }}</strong> : {{ value }}</li>
						{% endif %}

						{% if key == 'state' and value %}
							<li class="list-group-item"><strong>{{ key }}</strong> : {{ value }}</li>
						{% endif %}

						{% if key == 'enabled' and value %}
							<li class="list-group-item"><strong>{{ key }}</strong> : {{ value }}</li>
						{% endif %}

						{% if key == 'template' and value %}
							<li class="list-group-item"><strong>Category</strong> : {{ value }}</li>
						{% endif %}
						{% if key == 'is_adult_content' and value %}
							<li class="list-group-item"><span class="">Adult content!</span></li>
						{% endif %}
						{% if key == 'title' and value %}
							<li class="list-group-item"><strong>{{ key }}</strong> : {{ value }}</li>
						{% endif %}
						{% if key == 'content' and value %}
							<li class="list-group-item"><strong>{{ key }}</strong> : <p>{{ value|slice(0, 150) }}...</p></li>
						{% endif %}

						{% if key == 'username' and value %}
							<li class="list-group-item"><strong>{{ key }}</strong> : {{ value }}</li>
						{% endif %}
						{% if key == 'description' and value %}
							<li class="list-group-item">
								<strong>{{ key }}</strong> : <p>{{ value|slice(0, 150) }}...</p>			   
							</li>
						{% endif %}
						{% if key == 'excerpt' and value %}
							<li class="list-group-item">
								<strong>{{ key }}</strong> : <p>{{ value|slice(0, 150) }}...</p>	
							</li>
						{% endif %}
						{% if key == 'bio' and value %}
							<li class="list-group-item">
								<strong>{{ key }}</strong> : <p>{{ value|slice(0, 150) }}...</p></li>
						{% endif %}
					</ul>				
				{% endfor %}
			{% endfor %}
			{% else %}
			    <h2><span class="label label-warning">0 results</span></h2>
			   {#  <blockquote> These aint the droids you are looking for </blockquote> #}
		{% endif %}	    			
	</div>	

{% endblock %}				          
		   
